Main Page Widgets Namespaces Book

# Gtk::RecentAction Class Reference
[RecentFiles]

Inheritance diagram for Gtk::RecentAction:

[legend]
List of all members.

## Detailed Description

TODO.

## Public Member Functions

bool | get_show_numbers ()
const GtkRecentAction* | gobj () const
| Provides access to the underlying C GObject.
GtkRecentAction* | gobj ()
| Provides access to the underlying C GObject.
GtkRecentAction* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_show_numbers (bool show_numbers=true)
virtual | ~RecentAction ()

## Static Public Member Functions

static Glib::RefPtr<RecentAction> | create (const Glib::ustring& name, const Glib::ustring& label, const Glib::ustring& tooltip, const Gtk::StockID& stock_id, const Glib::RefPtr<RecentManager>& manager)
static Glib::RefPtr<RecentAction> | create (const Glib::ustring& name, const Glib::ustring& label, const Glib::ustring& tooltip, const Gtk::StockID& stock_id)

## Protected Member Functions

| RecentAction (const Glib::ustring& name, const Glib::ustring& label, const Glib::ustring& tooltip, const Gtk::StockID& stock_id, const Glib::RefPtr<RecentManager>& manager)
| RecentAction (const Glib::ustring& name, const Glib::ustring& label, const Glib::ustring& tooltip, const Gtk::StockID& stock_id)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::RecentAction> | wrap (GtkRecentAction* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Gtk::RecentAction::~RecentAction | ( |  | ) | `[virtual]`

Gtk::RecentAction::RecentAction | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | label,
|  | const Glib::ustring & | tooltip,
|  | const Gtk::StockID& | stock_id |
| ) |  |  | `[explicit, protected]`

Gtk::RecentAction::RecentAction | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | label,
|  | const Glib::ustring & | tooltip,
|  | const Gtk::StockID& | stock_id,
|  | const Glib::RefPtr<RecentManager>& | manager |
| ) |  |  | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<RecentAction> Gtk::RecentAction::create | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | label,
|  | const Glib::ustring & | tooltip,
|  | const Gtk::StockID& | stock_id,
|  | const Glib::RefPtr<RecentManager>& | manager |
| ) |  |  | `[static]`

static Glib::RefPtr<RecentAction> Gtk::RecentAction::create | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | label,
|  | const Glib::ustring & | tooltip,
|  | const Gtk::StockID& | stock_id |
| ) |  |  | `[static]`

bool Gtk::RecentAction::get_show_numbers | ( |  | ) |

const GtkRecentAction* Gtk::RecentAction::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gtk::Action.

GtkRecentAction* Gtk::RecentAction::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gtk::Action.

GtkRecentAction* Gtk::RecentAction::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gtk::Action.

void Gtk::RecentAction::set_show_numbers | ( | bool | show_numbers = `true` | ) |

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::RecentAction> wrap | ( | GtkRecentAction * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- recentaction.h